# Namer

interface Namer<T>

A namer is capable of providing a name based on some inherent characteristic of an object.

#### Parameters

<T>

The type of object that the namer can name

#### Inheritors

Namer

## Types

Comparator
Link copied to clipboard
open class Comparator<T> : Comparator<T>
A comparator implementation based on the names returned by the given namer.

## Functions

determineName
Link copied to clipboard
abstract fun determineName(object: T): String
Determines the name of the given object.